View Issue Details

IDProjectCategoryView StatusLast Update
0000007Lazaruspublic2017-11-26 21:31
ReporterBug ImportAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000007: TODO: Bringtofront function - Excellent oppurtunity for a lurker to get involved.
DescriptionBringtofront doesn't work on Linux with gtk.

Go into the lazarus/lcl/interfaces/gtk/gtkobject.inc file and search for LM_BRINGTOFRONT. The code needs to be added here.


This would be something that would be a good starting point for a lurker.

Additional InformationImported information
--------------------
Name: Shane Miller
Mail: smiller (at) lakefield.net
TagsNo tags attached.
Fixed in Revision
LazTarget
WidgetsetGTK, Win32/Win64
Attached Files

Relationships

related to 0032734 assignedMichl GTK2: BringToFront does not work for TListView 
related to 0032735 assignedMichl GTK2: BringToFront does not work for TScrollBar 

Activities

Bug Import

2002-05-02 04:14

reporter   ~0000007

MG: fixed by Shane himself, early 2002

Issue History

Date Modified Username Field Change
2000-05-10 00:00 Bug Import New Issue
2000-05-10 00:00 Bug Import Widgetset => GTK, Win32
2002-05-02 04:14 Bug Import Status new => assigned
2002-05-02 04:14 Bug Import Assigned To => Mattias Gaertner
2002-05-02 04:14 Bug Import Note Added: 0000007
2002-05-02 04:14 Bug Import Status new => closed
2002-05-02 04:14 Bug Import Resolution open => fixed
2017-11-26 21:25 Michl Relationship added related to 0032734
2017-11-26 21:31 Michl Relationship added related to 0032735